com.io7m.jstructural.annotated

## Interface SAFormalItemNumberVisitor<T>

- Type Parameters:
    `T` - The type of transformed formal item numbers

      public interface SAFormalItemNumberVisitor<T>

  A formal item number visitor.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `visitFormalItemNumberPSF(SAFormalItemNumberPSF f)` Visit a PSF formal item number.
    `T` | `visitFormalItemNumberPSSF(SAFormalItemNumberPSSF f)` Visit a PSSF formal item number.
    `T` | `visitFormalItemNumberSF(SAFormalItemNumberSF f)` Visit a SF formal item number.
    `T` | `visitFormalItemNumberSSF(SAFormalItemNumberSSF f)` Visit a SSF formal item number.

- - ### Method Detail

    - #### visitFormalItemNumberPSF

          T visitFormalItemNumberPSF(SAFormalItemNumberPSF f)
                              throws Exception

      Visit a PSF formal item number.
      Parameters:
        `f` - The number
      Returns:
        A value of type `T`
      Throws:
        `Exception` - If required

    - #### visitFormalItemNumberPSSF

          T visitFormalItemNumberPSSF(SAFormalItemNumberPSSF f)
                               throws Exception

      Visit a PSSF formal item number.
      Parameters:
        `f` - The number
      Returns:
        A value of type `T`
      Throws:
        `Exception` - If required

    - #### visitFormalItemNumberSF

          T visitFormalItemNumberSF(SAFormalItemNumberSF f)
                             throws Exception

      Visit a SF formal item number.
      Parameters:
        `f` - The number
      Returns:
        A value of type `T`
      Throws:
        `Exception` - If required

    - #### visitFormalItemNumberSSF

          T visitFormalItemNumberSSF(SAFormalItemNumberSSF f)
                              throws Exception

      Visit a SSF formal item number.
      Parameters:
        `f` - The number
      Returns:
        A value of type `T`
      Throws:
        `Exception` - If required

Copyright © 2015 <code@io7m.com> http://io7m.com